#include <bits/stdc++.h>

using namespace std;
int Mat[100][100];
int M[60], N[60], T;
int main(){

    cin >> T;

    for(int k = 1; k <= T;k++){
        cin >> N[k] >> M[k];
    }
    for(int k = 1; k <= T;k++){
    
        if(N[k] != M[k]){
            cout << "-1" << endl;
        }
        else{
            for(int j = 1; j <= N[k]; j++){
                for(int i = 1; i <= M[k]; i++){
                    if(i + j < M[k]+1){
                        Mat[i][j] = 0;
                    }
                    else
                        Mat[i][j] = 1;
                }
            }
        for(int j = 1; j <= N[k]; j++){
                for(int i = 1; i <= M[k]; i++){
                    cout << Mat[i][j];    
                }
                cout << endl;
            }
        }
    }

return 0;
}